Name: mkfontdir
Version: 1.0.7
Release: %mkrel 10
Summary: Create an index of X font files in a directory
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT
BuildArch: noarch

# mkfontdir is currently nothing more than a call to mkfontscale
Requires: mkfontscale

%description
Mkfontdir creates an index of X font files in a directory.

For each directory argument, mkfontdir reads all of the font files in the
directory searching for properties named "FONT", or (failing that) the name of
the file stripped of its suffix. These are converted to lower case and used as
font names, and, along with the name of the font file, are written out to the
file "fonts.dir" in the directory. The X server and font server use "fonts.dir"
to find font files.

%prep
%setup -q

%build
# configure does not like noarch and all of it and the makefile is just
# do run this sed command in the end...
sed -e "s|@bindir[@]|%_bindir|g" mkfontdir.in > mkfontdir

%install
mkdir -p %{buildroot}%{_bindir}
install -m0755 mkfontdir %{buildroot}%{_bindir}/mkfontdir

%files
%{_bindir}/mkfontdir


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.7-10.mga10
+ Revision: 2236948
- Mageia 10 Mass Rebuild

* Fri Feb 18 2022 danf <danf> 1.0.7-9.mga10
+ Revision: 1780291
+ rebuild (emptylog)

* Wed Sep 19 2018 umeabot <umeabot> 1.0.7-9.mga7
+ Revision: 1264452
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 1.0.7-8.mga6
+ Revision: 971836
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 tv <tv> 1.0.7-7.mga6
+ Revision: 893110
+ rebuild (emptylog)

* Thu Oct 15 2015 pterjan <pterjan> 1.0.7-6.mga6
+ Revision: 891954
- Make the package noarch as it is just a 2 lines script nowadays

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-5.mga5
+ Revision: 743447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 682540
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.7-3.mga4
+ Revision: 507983
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 360124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 209642
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 5932
- imported package mkfontdir


* Mon Nov 08 2010 Thierry Vignaud <tv@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 594892
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.5-1mdv2010.1
+ Revision: 464638
- New version: 1.0.5

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-4mdv2010.0
+ Revision: 426149
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.4-3mdv2009.1
+ Revision: 351607
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2009.0
+ Revision: 265133
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 192996
- new release

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-4mdv2008.1
+ Revision: 153109
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 06 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.3-2mdv2008.0
+ Revision: 49213
- mkfontdir is currently just a wrapper around mkfontscale,
  so add a require for it

* Tue Apr 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2008.0
+ Revision: 13875
- new upstream release: 1.0.3


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-17 00:11:37 (27481)
- fix description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

